## Code to Reproduce Experiments in "Community Detection and Classification Guarantees using Embeddings Learned by node2vec"

To reproduce these experiments:

- Create a conda environment using the included "requirements.txt" file. If run on some computing environments, it may be more efficient to pip install packages within each individual job. This was used in these current experiments.
- Use the `arg_submit.sh` and `varying_p_q.sh` files to run each of the possible experimental settings, incorporating parameters as needed. Each individual experiment requires at most 4 cores with 2gb of ram per core. The largest experiment runs in less than 2 hours on the computing cluster used. 
- The code in `Experiments.qmd` will then allow plots to be created from these experiments, where the output will have been saved in "subfolder"

These experiments were run on a computing clustering where `slurm` is used to schedule jobs. This cluster has CPUs with Intel E5-2683 v4 Broadwell @ 2.1GHz or similar.

The data used for real data experiments was downloaded from https://snap.stanford.edu/data/email-Eu-core.html and https://public.websites.umich.edu/~mejn/netdata/ directly.
